/*Landing page background*/
.background{
    margin: 0px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 100%;   
    background: linear-gradient(115deg, rgb(27, 23, 1),  goldenrod, rgb(27, 23, 1),goldenrod, rgb(27, 23, 1));
    background-size: 300%, 300%;
    animation: color 20s ease-in-out infinite; 
    box-sizing: border-box;
    @media screen and (max-width:600px) {
            justify-content: space-evenly;
            height:auto;
        }
}

.background h1{
    text-align: center;
    margin-bottom: 0;
    font-size: 80px;
    font-weight: 600;
    font-family: 'Times New Roman', Times, serif;
    color: black;
}

.background .gitlogo{
    height: 150px;
    width: 150px;
    margin-left: auto;
    margin-right: auto;
    margin-top: none;
    filter: brightness(0);
}

.background a{
    margin-inline: auto;
}
.background .gitlogo:hover{
    animation: breath 1s infinite;
}

/*Header section, present on all pages*/
header{
    .links{
        display: flex;
        flex-direction: row;
        justify-content: space-evenly;
        text-align: center;
        margin-top: 1rem;
        font-size: 30px;
        font-weight: 300;
        font-family:fantasy; 
    }
    .links a{
        width: 120px;
        color: black;
        text-decoration: none;
    }
    @media screen and (max-width:600px) {
        .links a{
            font-size: 15px;
            width: 15%
        }
    }
    .links a:hover{
        background: linear-gradient(120deg, goldenrod, black, goldenrod, black, goldenrod);
        background-size: 400% 400%;
        animation: color2 2s infinite;
        color: goldenrod;
        text-decoration: underline;
        border-radius: 10px;
    }
}

/* About page */
.About{
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.1);
    margin-top: 0rem;
    
    
}

.Profile2{
    display: block;
    margin: 0 auto;
    max-width: 10%;
    margin-bottom: 10px;
    margin-top: 0;
}

.container {
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.);
    padding: 1rem
}

.card {
    background-color: rgba(139, 128, 128, 0.2);
    padding: 15px;
    border: 2px solid goldenrod;
    border-radius: 10px;
    text-align: center;

}

.spacer {
    height: 20px; /* Adjust the space height as needed */
}

.skills {   
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-direction: column;
}

.skills ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.skills ul li {
    flex: 1 1 auto;
    margin: 0px;
    padding: 5px;
    border-radius: 5px;
    &:hover{
        animation: breath 1s infinite;
    }
}

.skill-img {
    width: 50px; /* Adjust the width as needed */
    height: 50px; /* Adjust the height as needed */
    border-radius: 50%; /* Makes the image circular */
    background-color: black; /* Background color for the circular effect */
}

h2 {
    color: black;
}

p {
    color: black;
    margin-bottom: 10px;
}

/* Projects Section*/
.projects-container {
    width: 100%;
    margin: 0 auto;
}

.projects-row {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
}

.project-card {
    width: 300px;
    height: 350px;
    margin: 20px;
    perspective: 1000px;
    cursor: pointer;
    
}

.project-card-front, .project-card-back {
    width: 100%;
    height: 100%;
    position: absolute;
    backface-visibility: hidden;
    transition: transform 0.6s;
}

.project-card-front {
    /* background: linear-gradient(90deg, goldenrod,black, black, black, goldenrod); */
    background-color: #0c0b0b;
    border: 2px solid gold;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
}

.project-card-back {
    border: 2px solid white;
    background-color: #0c0b0b;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    transform: rotateY(180deg);
}

.project-card:hover .project-card-front {
    transform: rotateY(180deg);
}

.project-card:hover .project-card-back {
    transform: rotateY(0deg);
}

.project-card img {
    width: 150px;
    height: 150px;
    border-radius: 50%;
    margin-bottom: 10px;
    filter: brightness(1.5);
}

.project-card h3, .project-card p, .project-card a {
    margin: 5px;
    font-size:large;
    color: goldenrod;
}

/* Contact Section */
.contact-container {
    width: 50%;
    margin: 0 auto;
    text-align: center;
}

.contact-container h2 {
    color: black; 
    font-weight: 400;
    font-family: fantasy;
}

form {
    margin-top: 20px;
}

label {
    display: block;
    margin-bottom: 5px;
    font-weight: 700;
    font-size: large;
}

input[type="text"],
input[type="email"],
textarea {
    width: 100%;
    padding: 10px;
    background-color: black;
    margin-bottom: 10px;
    border: 1px solid black;/* Change border color as needed */
    border-radius: 5px;
    color: goldenrod;
    transition: background-color 0.3s; /* Transition for hover effect */
}

input[type="submit"] {
    width: 100%;
    padding: 10px;
    background-color: black; /* Change background color as needed */
    color: goldenrod; /* Change text color as needed */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s; /* Transition for hover effect */
}

input[type="submit"]:hover {
    background-color: #353119; /* Change hover background color as needed */
    border: 1px solid gold;
}

input[type="text"]:hover,
input[type="email"]:hover,
textarea:hover {
    background-color: rgb(54, 49, 20); /* Change hover background color as needed */
    border: 1px solid gold;
}


/*Footer section, present on all pages*/
footer{
    h3{
        font-size: 20px;
        font-weight: 300;
        font-family:fantasy;
        padding-bottom: 0;
    }
    .fa:hover{
        background-color: goldenrod;
        background-size: 300% 300%;
        animation: color2 2s infinite;
        color: black;
        border-radius: 10px;
    }

    .fa-linkedin {
        background: #000000;
        color: goldenrod;
    }

    .fa-twitter {
        background: #000000;
        color: goldenrod;
    }

    .fa-instagram {
        background: #000000;
        color: goldenrod;
    }

    .fa {
        padding: 15px;
        width: 60px;
        text-decoration: none;
        margin-bottom: 5px;
    }
}

/* Animations */
@keyframes color {
    0%{
        background-position: 0 50%;
    }
    50%{
        background-position: 100% 50%;
    }
    100%{
        background-position: 0 50%;
    }
}

@keyframes color2{
    0%{
        background-position: 0 50%;
    }
    50%{
        background-position: 100% 50%;
    }
}
@keyframes breath{
    0%{
        transform: scale(1);
    }

    50%{
        transform: scale(1.1);
    }
    100%{
        transform: scale(1);
    }
}

#loadOverlay{
    display: none;
}

